import { BehaviorSubject } from "rxjs";
import { SharedComponentsDictionaryService } from '../translation/shared-components-dictionary.service';
export declare class OptionsService {
    private _dictionary;
    optionsInitialized: BehaviorSubject<boolean>;
    set options(value: any);
    get options(): any;
    optionsLoaded: BehaviorSubject<boolean>;
    private _options;
    constructor(_dictionary: SharedComponentsDictionaryService);
    createSettingsFromObject(obj: any): Promise<void>;
    initialize(options: any): Promise<void>;
}
